Bug 488910 - Review Request: bio2jack - A library for porting blocked io(OSS/ALSA) applications to jack
Review Request: bio2jack - A library for porting blocked io(OSS/ALSA) applic...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 01:05 EST by Orcan Ogetbil
Modified: 2010-07-19 00:41 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.9-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-26 10:53:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkr: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-06 01:05:53 EST
Spec URL: http://oget.fedorapeople.org/review/bio2jack.spec
SRPM URL: http://oget.fedorapeople.org/review/bio2jack-0.9-1.src.rpm
Description: 
Bio (blocked i/o) 2 jack is a library for enabling easy porting of blocked
io(OSS/ALSA) applications to the jack sound server. This library allows the
person porting the code to simply replace the calls into OSS/ALSA with calls
into interface functions of this library. The library buffers a small amount of
audio data and takes care of the rest of the jack implementation including the
linked list of audio data buffers and the jack callback.
Comment 1 Christian Krause 2009-03-12 15:45:29 EDT
Hi,

I've just reviewed the package, everything looks good so far. Only about the license I'm not sure. Please let me ask for a peer-review this time, too. I expect that after a few more reviews we can skip this step. ;-)

* rpmlint: OK
rpmlint SPECS/bio2jack.spec RPMS/i386/bio2jack-* SRPMS/bio2jack-0.9-1.src.rpm
SPECS/bio2jack.spec:46: W: configure-without-libdir-spec
bio2jack-devel.i386: W: no-documentation
bio2jack.src:46: W: configure-without-libdir-spec
4 packages and 1 specfiles checked; 0 errors, 3 warnings.

- configure-without-libdir-spec is a false positive, since ./configure just appears in the sed -i -e call

- no-doc - the package doesn't provide any develoment-specific documentation

* naming, spec file name: OK

* license: unsure
- GPL/LGPL both approved by Fedora, however I'm not sure whether this ambiguity must be solved
- license file included in package

* sources: OK
- spectool -g works
- md5sum: 00b64a99856cb35f1170c97ecb6bc431  bio2jack-0.9.tar.gz

* builds in mock & on all architectures for F11, F10, F9 in koji

* build requirements: OK

* locales: OK, since there are none

* ldconfig in %post, %postun: OK

* owning directory: OK, no directories are created besides %doc

* no files listed twice: OK

* %defattr usage: OK

* %clean section and buildroot clean before install: OK

* macro usage: OK

* code/content: OK, only code

* large documentation into subpackage: OK, no large doc

* header in devel-package: OK

* static libraries: OK (none)

* pkgconfig: OK (no *.pc files)

* *.so link in devel package: OK

* devel package requires fully versioned base pkg: OK

* no *.la files: OK

* *.desktop files: OK (n/a)

* no shared ownership of directories: OK

* filenames in valid UTF-8: OK

* scriptlets: OK (only ldconfig)

* %{optflags} are honored: OK

Best regards,
Christian
Comment 2 Jason Tibbitts 2009-03-12 15:54:23 EDT
When the actual code conflicts with what other files may indicate, we have to trust the code.  Inclusion of the wrong COPYING file is probably an error by upstream.  The best course of action is to simply ask the upstrem developer to clarify the license and to fix either the COPYING file or the source itself.  If they don't reply, then just go with LGPLv2+ as indicated by the code.
Comment 3 Tom "spot" Callaway 2009-03-12 16:02:27 EDT
I agree with Jason. Point out the inconsistency to upstream, they probably just copied over the wrong license text. As is, the tag should be License: LGPLv2+

(We always trust the source code over COPYING.)
Comment 4 Orcan Ogetbil 2009-03-12 20:26:19 EDT
Thanks for the review, again. I sent an email upstream. Let's wait a week or two. If we don't get a reply, I'll set the license field to LGPLv2+.
Comment 5 Orcan Ogetbil 2009-03-12 23:13:13 EDT
The author replied almost rightaway. It is as spot predicted: He copied the wrong license text.

I changed the SPEC file accordingly:

Spec URL: http://oget.fedorapeople.org/review/bio2jack.spec
SRPM URL: http://oget.fedorapeople.org/review/bio2jack-0.9-2.src.rpm

Changelog: 0.9-2
- License is LGPLv2+. Don't package the wrong COPYING file
Comment 6 Christian Krause 2009-03-13 16:06:29 EDT
I've checked the new package - there are only license related changes:
- License is finally set to LGPLv2+ after the confirmation by the upstream author
- misleading COPYING file is not packaged anymore
Otherwise there are no changes.

Since the only questionable issue was fixed:

APPROVED.
Comment 7 Orcan Ogetbil 2009-03-13 16:40:45 EDT
Thanks a lot!

New Package CVS Request
=======================
Package Name: bio2jack
Short Description: A library for porting blocked io(OSS/ALSA) applications to jack
Owners: oget
Branches: F-10
InitialCC:
Comment 8 Orcan Ogetbil 2009-03-13 16:42:15 EDT
Sorry. I also want the F-9 branch for this. So:

New Package CVS Request
=======================
Package Name: bio2jack
Short Description: A library for porting blocked io(OSS/ALSA) applications to
jack
Owners: oget
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-03-15 22:06:36 EDT
cvs done.
Comment 10 Fedora Update System 2009-03-16 01:06:30 EDT
bio2jack-0.9-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bio2jack-0.9-3.fc10
Comment 11 Fedora Update System 2009-03-16 01:07:39 EDT
bio2jack-0.9-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/bio2jack-0.9-3.fc9
Comment 12 Fedora Update System 2009-03-16 15:37:25 EDT
bio2jack-0.9-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update bio2jack'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2697
Comment 13 Fedora Update System 2009-03-16 15:39:57 EDT
bio2jack-0.9-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bio2jack'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2710
Comment 14 Fedora Update System 2009-03-26 10:53:52 EDT
bio2jack-0.9-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-03-26 10:56:14 EDT
bio2jack-0.9-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 David Timms 2010-07-17 04:19:24 EDT
Package Change Request
======================
Package Name: bio2jack
New Branches: EL-5 EL-6
Owners: dtimms
Comment 17 Kevin Fenzi 2010-07-19 00:41:00 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.